---
# We need to list the list name under which all the hosts are listed.
# Otherwise, the roles defined in kraken.yml are not run against that host.
- hosts: all
  serial: "{{ serial | default('100%') }}"
  roles:
    - role: host-dns-records
    - role: weka-common
    - role: weka-client
      tags: "weka-client"
    - role: java
    - role: docker-host
      tags:
        - worker-docker-host
        - docker
    - role: os-file-limits
      vars:
        - process_max_open_files_limit: 200000
        - java_version: 8
    - role: tcp-highload
    - role: kraken-worker
    - role: prometheus-exporter
      tags: [prometheus, prometheus-exporter]
